# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

# Short one-line description of this package.
DESCRIPTION="A little plug-in for the Sendmail Milter (Mail Filter) library \
that pipes all incoming mail (including things received by rmail/UUCP) through \
the SpamAssassin, a highly customizable SpamFilter."

HOMEPAGE="http://savannah.nongnu.org/projects/spamass-milt/"

SRC_URI="http://savannah.nongnu.org/download/spamass-milt/spamass-milter-0.1.3a.tar.gz"

LICENSE="GNU General Public License V2 or later"

SLOT="0"
KEYWORDS="x86 ~sparc64"
IUSE=""

DEPEND=">=sys-devel/autoconf-2.57
	>=sys-devel/automake-1.7.2"

# Run-time dependencies, same as DEPEND if RDEPEND isn't defined:
RDEPEND="sendmail
	Mail-SpamAssassin"

S=${WORKDIR}/${P}

src_compile() {
    #./configure \
    #	--host=${CHOST} \
    #	--prefix=/usr \
    #	--infodir=/usr/share/info \
    #	--mandir=/usr/share/man || die "./configure failed"
    econf || die
    # Note that econf will die on failure, but plase use econf || die
    # for consistency.

    # emake (previously known as pmake) is a script that calls the
    # standard GNU make with parallel building options for speedier
    # builds (especially on SMP systems).  Try emake first.  It might
    # not work for some packages, in which case you'll have to resort
    # to normal "make".
    emake || die
    #make || die
}

src_install() {
    # You must *personally verify* that this trick doesn't install
    # anything outside of DESTDIR; do this by reading and
    # understanding the install part of the Makefiles.
    make DESTDIR=${D} install || die
    # For Makefiles that don't make proper use of DESTDIR, setting
    # prefix is often an alternative.  However if you do this, then
    # you also need to specify mandir and infodir, since they were
    # passed to ./configure as absolute paths (overriding the prefix
    # setting).
    #make \
    #	prefix=${D}/usr \
    #	mandir=${D}/usr/share/man \
    #	infodir=${D}/usr/share/info \
    #	install || die
    # Again, verify the Makefiles!  We don't want anything falling
    # outside of ${D}.

    # The portage shortcut to the above command is simply:
    #
    #einstall || die
    # Note that einstall will die on failure, but please use einstall || die
    # for consistency.
    dodoc AUTHORS NEWS README ChangeLog
    exeinto /etc/init.d ; newexe ${FILESDIR}/spamass-milter.rc spamass-milter
    insinto /etc/conf.d ; newins ${FILESDIR}/spamass-milter.conf spamass-milter
}
